# Uses of Class
org.apache.lucene.index.TermState

Packages that use TermState
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.codecs.lucene103
Lucene 10.3 file format.
org.apache.lucene.index
Code to maintain and access indices.
org.apache.lucene.search
Code to search indices.

- ## Uses of TermState in org.apache.lucene.codecs

  Subclasses of TermState in org.apache.lucene.codecs
  Modifier and Type
  Class
  Description
  `class`
  `BlockTermState`
  Holds all state required for `PostingsReaderBase` to produce a `PostingsEnum` without re-seeking the terms dict.
  Methods in org.apache.lucene.codecs with parameters of type TermState
  Modifier and Type
  Method
  Description
  `void`
  BlockTermState.`copyFrom(TermState _other)`

- ## Uses of TermState in org.apache.lucene.codecs.lucene103

  Subclasses of TermState in org.apache.lucene.codecs.lucene103
  Modifier and Type
  Class
  Description
  `static final class`
  `Lucene103PostingsFormat.IntBlockTermState`
  Holds all state required for `Lucene103PostingsReader` to produce a `PostingsEnum` without re-seeking the terms dict.
  Methods in org.apache.lucene.codecs.lucene103 with parameters of type TermState
  Modifier and Type
  Method
  Description
  `void`
  Lucene103PostingsFormat.IntBlockTermState.`copyFrom(TermState _other)`

- ## Uses of TermState in org.apache.lucene.index

  Subclasses of TermState in org.apache.lucene.index
  Modifier and Type
  Class
  Description
  `class`
  `OrdTermState`
  An ordinal based `TermState`
  Methods in org.apache.lucene.index that return TermState
  Modifier and Type
  Method
  Description
  `TermState`
  TermState.`clone()`
  `TermState`
  BaseTermsEnum.`termState()`
  `TermState`
  FilteredTermsEnum.`termState()`
  Returns the filtered enums term state
  `TermState`
  FilterLeafReader.FilterTermsEnum.`termState()`
  `abstract TermState`
  TermsEnum.`termState()`
  Expert: Returns the TermsEnums internal state to position the TermsEnum without re-seeking the term dictionary.
  Methods in org.apache.lucene.index that return types with arguments of type TermState
  Modifier and Type
  Method
  Description
  `IOSupplier<TermState>`
  TermStates.`get(LeafReaderContext ctx)`
  Returns a `Supplier` for a `TermState` for the given `LeafReaderContext`.
  Methods in org.apache.lucene.index with parameters of type TermState
  Modifier and Type
  Method
  Description
  `void`
  OrdTermState.`copyFrom(TermState other)`
  `abstract void`
  TermState.`copyFrom(TermState other)`
  Copies the content of the given `TermState` to this instance
  `void`
  TermStates.`register(TermState state, int ord)`
  Expert: Registers and associates a `TermState` with an leaf ordinal.
  `void`
  TermStates.`register(TermState state, int ord, int docFreq, long totalTermFreq)`
  Registers and associates a `TermState` with an leaf ordinal.
  `void`
  BaseTermsEnum.`seekExact(BytesRef term, TermState state)`
  `void`
  FilteredTermsEnum.`seekExact(BytesRef term, TermState state)`
  This enum does not support seeking!
  `void`
  FilterLeafReader.FilterTermsEnum.`seekExact(BytesRef term, TermState state)`
  `abstract void`
  TermsEnum.`seekExact(BytesRef term, TermState state)`
  Expert: Seeks a specific position by `TermState` previously obtained from `TermsEnum.termState()`.
  Constructors in org.apache.lucene.index with parameters of type TermState
  Modifier
  Constructor
  Description
  ``
  `TermStates(IndexReaderContext context, TermState state, int ord, int docFreq, long totalTermFreq)`
  Creates a `TermStates` with an initial `TermState`, `IndexReader` pair.

- ## Uses of TermState in org.apache.lucene.search

  Methods in org.apache.lucene.search that return TermState
  Modifier and Type
  Method
  Description
  `TermState`
  FuzzyTermsEnum.`termState()`
  Methods in org.apache.lucene.search with parameters of type TermState
  Modifier and Type
  Method
  Description
  `void`
  FuzzyTermsEnum.`seekExact(BytesRef term, TermState state)`